$DriverPath = Get-Item $Env:drv_dir

$date = Get-Date -Format "yyyy-MM-dd HH:mm:ss"
Write-Output "[${date}] Installing drivers from ${DriverPath}"

$CertStore = Get-Item "cert:\LocalMachine\TrustedPublisher"
$CertStore.Open([System.Security.Cryptography.X509Certificates.OpenFlags]::ReadWrite)

Get-ChildItem $DriverPath.FullName -Recurse -Filter *.sys |
Foreach-Object {
	$Cert = (Get-AuthenticodeSignature $_.FullName).SignerCertificate
	Write-Host("Adding certificate {0}, {1} from {2} to {3} store" -f $Cert.Thumbprint, $Cert.Subject, $_.FullName, $CertStore.Name)
	# $Cert | Export-Certificate -Type CERT -FilePath exported.cert
	$CertStore.Add($Cert)
}
$CertStore.Close()

New-Item -Path "HKLM:\SOFTWARE\Microsoft\Windows NT\CurrentVersion\UnattendSettings\PnPUnattend\DriverPaths" -Name 1 -Force
New-ItemProperty -Path "HKLM:\SOFTWARE\Microsoft\Windows NT\CurrentVersion\UnattendSettings\PnPUnattend\DriverPaths\1" -Name Path -Value $DriverPath.FullName -Force
pnpunattend.exe AuditSystem /L
Remove-Item -Path "HKLM:\SOFTWARE\Microsoft\Windows NT\CurrentVersion\UnattendSettings\PnPUnattend\DriverPaths\1" -Recurse -Force
